Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.manager.ejb
Interface PortalManager

All Superinterfaces:
  EJBObject, Remote

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public interface PortalManager
extends EJBObject

Interface `PortalManager` is the remote interface of the PortalManager service which provides access to and persistence of portal configuration and personalization data.

Method Summary
`List` | `getGroupPortalMembership(ProfileIdentity identity, PortalIdentifier portalId)` Deprecated. Retrieves a list of `GroupPortal`objects representing the groups that the specified user belongs to.``
`PortalPersonalization` | `getMutablePortalPersonalization(ProfileIdentity client, PortalIdentifier portalId)` Deprecated. Retrieves a `PortalPersonalization` for the specified identity within the specified portal.
`Portal` | `getPortal(ProfileIdentity client, PortalIdentifier portalId)` Deprecated. Retrieves a `Portal` object corresponding to the `PortalIdentifier` specified.
`PortalPersonalization` | `getPortalPersonalization(ProfileIdentity client, PortalIdentifier portalId)` Deprecated. Retrieves a `PortalPersonalization` for the specified identity within the specified portal.
`UserPortalState` | `getUserPortalState(ProfileIdentity client, PortalIdentifier portalId, PageIdentifier pageId)` Deprecated. Retrieves a `UserPortalState` object for the identity specified (which must be a user as a member of a group) in the portal specified for the page specified, but without using entitlements.
`UserPortalState` | `getUserPortalState(ProfileIdentity client, PortalIdentifier portalId, PageIdentifier pageId, com.bea.p13n.entitlements.common.EntitlementRequest entitlementRequest)` Deprecated. Retrieves a `UserPortalState` object for the identity specified (which must be a user as a member of a group) in the portal specified for the page specified.
`void` | `removePortalPersonalization(ProfileIdentity client, PortalIdentifier portalId)` Deprecated. Deletes a personalization from the persistent store.
`void` | `setMutablePortalPersonalization(ProfileIdentity client, PortalPersonalization portalPersonalization)` Deprecated. Persists a `PortalPersonalization` for the specified identity.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getGroupPortalMembership

    public List getGroupPortalMembership(ProfileIdentity identity,
                                         PortalIdentifier portalId)
                                  throws PortalException,
                                         RemoteException

  Deprecated.
  Retrieves a list of `GroupPortal`objects representing the groups that the specified user belongs to. This will not include the default group (user group "everyone").

  ``
  Parameters:
    `identity` - the identity of the user.
    `portalId` - an identifier for the current portal.
  Returns:
    a `List` of groups that the user belongs to.
  Throws:
    `PortalException` - on an error within the portal framework.
    `RemoteException` - on an error connecting to an ejb.
  See Also:
    `GroupPortal`

### getMutablePortalPersonalization

    public PortalPersonalization getMutablePortalPersonalization(ProfileIdentity client,
                                                                 PortalIdentifier portalId)
                                                          throws PortalException,
                                                                 RemoteException

  Deprecated.
  Retrieves a `PortalPersonalization` for the specified identity within the specified portal. This object is guarenteed to also implement `MutablePortalPersonalization` and will need to be cast to that interface to allow updates.

  Note: Updates to the object returned will NOT be persisted or have any effects on the portal server unless this object is send back to the portal server using the method `setMutablePortalPersonalization` on this interface.

  Parameters:
    `client` - the identity for which the personalization is required.
    `portalId` - an identifier for the current portal.
  Returns:
    an editable personalization defined at the appropriate scope.
  Throws:
    `PortalException` - on an error within the portal framework.
    `RemoteException` - on an error connecting to an ejb.

### getPortal

    public Portal getPortal(ProfileIdentity client,
                            PortalIdentifier portalId)
                     throws PortalException,
                            RemoteException

  Deprecated.
  Retrieves a `Portal` object corresponding to the `PortalIdentifier` specified. The object returned represents the global configuration of a portal as defined in the EBCC.

  Parameters:
    `client` - the identity of the caller.
    `portalId` - an identifier for the portal required.
  Returns:
    the global configuration of the portal.
  Throws:
    `PortalException` - on an error within the portal framework.
    `RemoteException` - on an error connecting to an ejb.

### getPortalPersonalization

    public PortalPersonalization getPortalPersonalization(ProfileIdentity client,
                                                          PortalIdentifier portalId)
                                                   throws PortalException,
                                                          RemoteException

  Deprecated.
  Retrieves a `PortalPersonalization` for the specified identity within the specified portal. This identity can either be a group or a user within a group. The object returned represents the personalizations defined at either user or group scope. It should be considered to be immutable and therefore not edited.

  Parameters:
    `client` - the identity for which the personalization is required.
    `portalId` - an identifier for the current portal.
  Returns:
    an editable personalization defined at the appropriate scope.
  Throws:
    `PortalException` - on an error within the portal framework.
    `RemoteException` - on an error connecting to an ejb.

### getUserPortalState

    public UserPortalState getUserPortalState(ProfileIdentity client,
                                              PortalIdentifier portalId,
                                              PageIdentifier pageId)
                                       throws PortalException,
                                              RemoteException

  Deprecated.
  Retrieves a `UserPortalState` object for the identity specified (which must be a user as a member of a group) in the portal specified for the page specified, but without using entitlements. The object returned represents the personalization of the users view of this page within this portal. It is intended to be the minimal set of personalization data that is required to render the page and is expected to have already taken into account all the interactions of group personalizations and user personalizations. No entitlements will be considered.

  Parameters:
    `client` - the identity for which the rendering state is required.
    `portalId` - an identifier for the current portal.
    `pageId` - an identifier for the current page being viewed.
  Returns:
    the personalized state of the page to be rendered.
  Throws:
    `PortalException` - on an error within the portal framework.
    `RemoteException` - on an error connecting to an ejb.

### getUserPortalState

    public UserPortalState getUserPortalState(ProfileIdentity client,
                                              PortalIdentifier portalId,
                                              PageIdentifier pageId,
                                              com.bea.p13n.entitlements.common.EntitlementRequest entitlementRequest)
                                       throws PortalException,
                                              RemoteException

  Deprecated.
  Retrieves a `UserPortalState` object for the identity specified (which must be a user as a member of a group) in the portal specified for the page specified. The object returned represents the personalization of the users view of this page within this portal. It is intended to be the minimal set of personalization data that is required to render the page and is expected to have already taken into account all the interactions of group personalizations, user personalizations and entitlements.

  Parameters:
    `client` - the identity for which the rendering state is required.
    `portalId` - an identifier for the current portal.
    `pageId` - an identifier for the current page being viewed.
    `entitlementRequest` - a valid entitlement request fo this user.
  Returns:
    the personalized state of the page to be rendered.
  Throws:
    `PortalException` - on an error within the portal framework.
    `RemoteException` - on an error connecting to an ejb.

### removePortalPersonalization

    public void removePortalPersonalization(ProfileIdentity client,
                                            PortalIdentifier portalId)
                                     throws PortalException,
                                            RemoteException

  Deprecated.
  Deletes a personalization from the persistent store.

  Parameters:
    `client` - the identity for which the personalization is to be removed.
    `portalId` - an identifier for the current portal.
  Throws:
    `PortalException` - on an error within the portal framework.
    `RemoteException` - on an error connecting to an ejb.

### setMutablePortalPersonalization

    public void setMutablePortalPersonalization(ProfileIdentity client,
                                                PortalPersonalization portalPersonalization)
                                         throws PortalException,
                                                RemoteException

  Deprecated.
  Persists a `PortalPersonalization` for the specified identity. This method can be used to update both group and user personalizations.

  Parameters:
    `client` - the identity for which the personalization is to be saved.
    `portalPersonalization` - a personalization to persist.
  Throws:
    `PortalException` - on an error within the portal framework.
    `RemoteException` - on an error connecting to an ejb.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved